package org.rhq.plugins.service;

import java.util.HashSet;
import java.util.Set;

import org.rhq.core.domain.configuration.Configuration;
import org.rhq.core.domain.resource.ResourceType;
import org.rhq.core.pluginapi.inventory.DiscoveredResourceDetails;
import org.rhq.core.pluginapi.inventory.InvalidPluginConfigurationException;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryComponent;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryContext;

public class emailDiscoveryComponent implements ResourceDiscoveryComponent
{

	public Set discoverResources(ResourceDiscoveryContext context) throws InvalidPluginConfigurationException,
	    Exception {

		Set<DiscoveredResourceDetails> email = new HashSet<DiscoveredResourceDetails>();

		String key							=	"emails";
		String name							=	"Email";
		String description					=	"It will display Email details of CUSTOMERS";
		Configuration configuration			=	null;
		ResourceType resourceType			= 	context.getResourceType();
		DiscoveredResourceDetails detail	=	new DiscoveredResourceDetails(resourceType, key, name, null,description,configuration,null);

		email.add(detail);

		return email;
	}
}